<?php
/**
 * @author Stylish Themes
 *
 * @since 1.0.0
 */

if ( ! defined( 'ABSPATH' ) ) { exit; }

class AQURA_full_royal_slider {

	protected static $instance = null;

	public static function get_instance() {

		// If the single instance hasn't been set, set it now.
		if ( null == self::$instance ) {
			self::$instance = new self;
		}

		return self::$instance;
	}

	private function __construct() {
		add_shortcode( 'full_royal_slider', array( &$this, 'shortcode' ) );
	}

	public function shortcode( $atts ){
		$output = $small_title_1 = $big_title = $small_title_2 = $slider_images = '';

		extract( shortcode_atts( array(
			'small_title_1'		=> 'Theme Brothers',
			'big_title'		=> 'AQURA',
			'small_title_2'		=> 'Template',
			'slider_images' 	=> ''
		), $atts ) );

		$imagearray = explode(",",$slider_images);

		$output = '<div class="before-FullscreenSlider"></div>';
		$output .= '<div class="breadcrumb-fullscreen-parent sliderContainerBreadcrumb">';
			$output .= '<div class="starTitle">';
				$output .= '<h4>' . $small_title_1 . '</h4>';
				$output .= '<div class="grid__item">';
					$output .= '<h2>';
						$output .= '<a class="link link-yaku">';
							$output .= $big_title;
						$output .= '</a>';
					$output .= '</h2>';
				$output .= '</div>';
				$output .= '<h4>' . $small_title_2 . '</h4>';
			$output .= '</div>';
			$output .= '<div id="ava-slider" class="royalSlider  heroSlider rsMinW change-header-items-color">';
				if (is_array($imagearray) || is_object($imagearray)) {
					while (list($key, $image) = each($imagearray)) {

						$slider_images_display = wp_get_attachment_url($image);

						$output .= '<div class="rsContent" style="background-image: url(' . $slider_images_display . ');">';
							$output .= '<img class="rsImg" src="' . $slider_images_display . '" alt="">';
						$output .= '</div>';

					}
				}
			$output .= '</div>';
		$output .= '</div>';

		return $output;
	}

}

AQURA_full_royal_slider::get_instance();