<?php
/**
 * @author Stylish Themes
 *
 * @since 1.0.0
 */

if ( ! defined( 'ABSPATH' ) ) { exit; }

class AQURA_full_screen_featured_image_stars {

	protected static $instance = null;

	public static function get_instance() {

		// If the single instance hasn't been set, set it now.
		if ( null == self::$instance ) {
			self::$instance = new self;
		}

		return self::$instance;
	}

	private function __construct() {
		add_shortcode( 'full_screen_featured_image_stars', array( &$this, 'shortcode' ) );
	}

	public function shortcode( $atts ){
		$output = $small_title_1 = $small_title_2 = $big_title = $full_screen_featured_image_stars_image = '';

		extract( shortcode_atts( array(
			'small_title_1'		=> 'Theme Brothers',
			'big_title'		=> 'AQURA',
			'small_title_2'		=> 'Template',
			'full_screen_featured_image_stars_image' => ''
		), $atts ) );

		$full_screen_featured_image_stars_image_src = wp_get_attachment_image_src($full_screen_featured_image_stars_image, "full");

		$output .= '<section class="no-mb">';
			$output .= '<div class="row">';
				$output .= '<div class="breadcrumb-fullscreen-parent phone-menu-bg">';
					$output .= '<div class="breadcrumb breadcrumb-fullscreen alignleft small-description overlay almost-black-overlay" style="background-image: url(' . $full_screen_featured_image_stars_image_src[0] . ');" data-stellar-background-ratio="0.5" data-stellar-vertical-offset="0">';
						$output .= '<div id="home" style="position: absolute;left: 0;top: 0;">';
						   $output .= '<div class="intro-header">';
								$output .= '<div class="js-height-full star" style="height: 955px;">';
								    $output .= '<div class="star-pattern-1 js-height-full" style="height: 994px;"></div>';
								    $output .= '<div class="col-sm-12"> ';
										$output .= '<div class="starTitle">';
											$output .= '<h4>' . $small_title_1 . '</h4>';
											$output .= '<div class="grid__item">';
												$output .= '<h2>';
													$output .= '<a class="link link-yaku">';
														$output .= $big_title;
													$output .= '</a>';
												$output .= '</h2>';
											$output .= '</div>';
											$output .= '<h4>' . $small_title_2 . '</h4>';
										$output .= '</div>';
										$output .= '<canvas class="cover" width="1920" height="955"></canvas>';
								    $output .= '</div>';
								$output .= '</div>';
						    $output .= '</div>';
	   			    	$output .= '</div>';
					$output .= '</div>';
				$output .= '</div>';
			$output .= '</div>';
		$output .= '</section>';

		return $output;
	}

}

AQURA_full_screen_featured_image_stars::get_instance();