<?php
/**
 * @author Aqura
 *
 * @since 1.0.0
 */

if ( ! defined( 'ABSPATH' ) ) { exit; }


class SocialIcons {
    protected static $instance = null;

    public static function get_instance() {

        // If the single instance hasn't been set, set it now.
        if ( null == self::$instance ) {
            self::$instance = new self;
        }

        return self::$instance;
    }

    private function __construct() {
        add_shortcode( 'aqura_isocial', array( &$this, 'shortcode' ) );
    }

    public function shortcode( $atts, $content = null ) {
        $output = $icon = $href = $target = '';

        extract( shortcode_atts( array(
            'icon'         => 'fa-facebook',
            'href'         => '#',
            'target'       => '_blank',
        ), $atts ) );

        $output .= '<li><a href="'.$href.'" target="'.$target.'" class="icon-button shopIcon"><i class="fa '.$icon.'"></i><span></span></a></li>';

        return $output;
    }

}
SocialIcons::get_instance();